import request from '@/utils/request'

// 保存季度反馈
export function saveSeasonalFeedback(data) {
  return request({
    url: '/spec/feedback/saveSeasonalFeedback',
    method: 'put',
    data: data
  })
}

// 导师查询月度反馈列表
export function listMentorSeasonalFeedback(query) {
  return request({
    url: '/spec/feedback/list/mentor/season',
    method: 'get',
    params: query
  })
}

// 学员查询月度反馈列表
export function listSuccessorSeasonalFeedback(query) {
  return request({
    url: '/spec/feedback/list/successor/season',
    method: 'get',
    params: query
  })
}

// 导师查询月度反馈列表
export function listMentorMonthlyFeedback(query) {
  return request({
    url: '/spec/feedback/list/mentor/month',
    method: 'get',
    params: query
  })
}

// 学员查询月度反馈列表
export function listSuccessorMonthlyFeedback(query) {
  return request({
    url: '/spec/feedback/list/successor/month',
    method: 'get',
    params: query
  })
}

// 查询 专项培养反馈列表
export function listFeedback(query) {
  return request({
    url: '/spec/feedback/list',
    method: 'get',
    params: query
  })
}

// 查询当前用户作为受邀导师的学员列表
export function listInvitedSuccessor(query) {
  return request({
    url: '/spec/feedback/listInvitedSuccessor',
    method: 'get',
    params: query
  })
}

// 查询 专项培养反馈详细
export function getFeedbackByParams(query) {
  return request({
    url: '/spec/feedback/getInfoByParams/',
    method: 'get',
    params: query
  })
}

// 查询 专项培养反馈详细
export function getFeedbackByPlanId(planId) {
  return request({
    url: '/spec/feedback/getInfoByPlanId/' + planId,
    method: 'get'
  })
}

// 查询 专项培养反馈详细
export function getFeedback(id) {
  return request({
    url: '/spec/feedback/' + id,
    method: 'get'
  })
}

// 新增 专项培养反馈
export function addFeedback(data) {
  return request({
    url: '/spec/feedback',
    method: 'post',
    data: data
  })
}

// 修改 专项培养反馈
export function updateFeedback(data) {
  return request({
    url: '/spec/feedback',
    method: 'put',
    data: data
  })
}

// 删除 专项培养反馈
export function delFeedback(id) {
  return request({
    url: '/spec/feedback/' + id,
    method: 'delete'
  })
}

// 导出 专项培养反馈
export function exportFeedback(query) {
  return request({
    url: '/spec/feedback/export',
    method: 'get',
    params: query
  })
}
